Help us shape the future of Go! Take the 2026 Go Developer Survey

service

package
v1.19.9 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Oct 15, 2026 License: Apache-2.0 Imports: 5 Imported by: 49

Documentation

Index

Constants

View Source
const GetLrpOKCode int = 200

GetLrpOKCode is the HTTP code returned for type GetLrpOK

View Source
const GetServiceOKCode int = 200

GetServiceOKCode is the HTTP code returned for type GetServiceOK

Variables

This section is empty.

Functions

This section is empty.

Types

type GetLrp added in v0.15.7

type GetLrp struct {
	Context *middleware.Context
	Handler GetLrpHandler
}
GetLrp swagger:route GET /lrp service getLrp

Retrieve list of all local redirect policies

func NewGetLrp added in v0.15.7

func NewGetLrp(ctx *middleware.Context, handler GetLrpHandler) *GetLrp

NewGetLrp creates a new http.Handler for the get lrp operation

func (*GetLrp) ServeHTTP added in v0.15.7

func (o *GetLrp) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetLrpHandler added in v0.15.7

type GetLrpHandler interface {
	Handle(GetLrpParams) middleware.Responder
}

GetLrpHandler interface for that can handle valid get lrp params

type GetLrpHandlerFunc added in v0.15.7

type GetLrpHandlerFunc func(GetLrpParams) middleware.Responder

GetLrpHandlerFunc turns a function with the right signature into a get lrp handler

func (GetLrpHandlerFunc) Handle added in v0.15.7

Handle executing the request and returning a response

type GetLrpOK added in v0.15.7

type GetLrpOK struct {

	/*
	  In: Body
	*/
	Payload []*models.LRPSpec `json:"body,omitempty"`
}

GetLrpOK Success

swagger:response getLrpOK

func NewGetLrpOK added in v0.15.7

func NewGetLrpOK() *GetLrpOK

NewGetLrpOK creates GetLrpOK with default headers values

func (*GetLrpOK) SetPayload added in v0.15.7

func (o *GetLrpOK) SetPayload(payload []*models.LRPSpec)

SetPayload sets the payload to the get lrp o k response

func (*GetLrpOK) WithPayload added in v0.15.7

func (o *GetLrpOK) WithPayload(payload []*models.LRPSpec) *GetLrpOK

WithPayload adds the payload to the get lrp o k response

func (*GetLrpOK) WriteResponse added in v0.15.7

func (o *GetLrpOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetLrpParams added in v0.15.7

type GetLrpParams struct {
	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetLrpParams contains all the bound params for the get lrp operation typically these are obtained from a http.Request

swagger:parameters GetLrp

func NewGetLrpParams added in v0.15.7

func NewGetLrpParams() GetLrpParams

NewGetLrpParams creates a new GetLrpParams object

There are no default values defined in the spec.

func (*GetLrpParams) BindRequest added in v0.15.7

func (o *GetLrpParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetLrpParams() beforehand.

type GetService

type GetService struct {
	Context *middleware.Context
	Handler GetServiceHandler
}
GetService swagger:route GET /service service getService

Retrieve list of all services

func NewGetService

func NewGetService(ctx *middleware.Context, handler GetServiceHandler) *GetService

NewGetService creates a new http.Handler for the get service operation

func (*GetService) ServeHTTP

func (o *GetService) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetServiceHandler

type GetServiceHandler interface {
	Handle(GetServiceParams) middleware.Responder
}

GetServiceHandler interface for that can handle valid get service params

type GetServiceHandlerFunc

type GetServiceHandlerFunc func(GetServiceParams) middleware.Responder

GetServiceHandlerFunc turns a function with the right signature into a get service handler

func (GetServiceHandlerFunc) Handle

Handle executing the request and returning a response

type GetServiceOK

type GetServiceOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Service `json:"body,omitempty"`
}

GetServiceOK Success

swagger:response getServiceOK

func NewGetServiceOK

func NewGetServiceOK() *GetServiceOK

NewGetServiceOK creates GetServiceOK with default headers values

func (*GetServiceOK) SetPayload

func (o *GetServiceOK) SetPayload(payload []*models.Service)

SetPayload sets the payload to the get service o k response

func (*GetServiceOK) WithPayload

func (o *GetServiceOK) WithPayload(payload []*models.Service) *GetServiceOK

WithPayload adds the payload to the get service o k response

func (*GetServiceOK) WriteResponse

func (o *GetServiceOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetServiceParams

type GetServiceParams struct {
	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetServiceParams contains all the bound params for the get service operation typically these are obtained from a http.Request

swagger:parameters GetService

func NewGetServiceParams

func NewGetServiceParams() GetServiceParams

NewGetServiceParams creates a new GetServiceParams object

There are no default values defined in the spec.

func (*GetServiceParams) BindRequest

func (o *GetServiceParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetServiceParams() beforehand.

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL